Eliminare un punto

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft DelPoint and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Draft AddPoint.svg Aggiungere un punto Pagina precedente:
Pagina successiva: Vista profilo 2D Draft Shape2DView.svg Arrow-right.svg

Draft DelPoint.svg Elimina punto

Posizione nel menu
Draft → Elimina punto
Ambiente
Draft, Architettura
Avvio veloce
Introdotto nella versione
-
Vedere anche
Aggiungi punto, Modifica


Descrizione

Questo strumento consente di rimuovere dei punti da una Polilinea o da una B-spline già creata.

La controparte di questo strumento è l'operazione Aggiungi punto.

Utilizzo

  1. Selezionare una polilinea o una B-spline. Lo strumento è disabilitato se nessun oggetto è selezionato.
  2. Premere il pulsante Draft DelPoint.svg Elimina punto.
  3. Cliccare su un punto nella linea.
  4. Premere il pulsante Esc o Chiudi per finire l'operazione; i punti cancellati scompaiono.
  • Questa funzionalità è anche disponibile all'interno dello strumento Draft Edit.svg Modifica

Opzioni

Le opzioni di questo strumento sono descritte in Draft Edit.svg Modifica.

Script

Vedere anche: Draft API e Nozioni di base sugli script di FreeCAD.

Per lo strumento Elimina punto non è disponibile un'interfaccia di programmazione tuttavia la rimozione di punti è semplice.

L'attributo Points di una polilinea o di una spline è una lista con i punti che comprendono quell'oggetto; per rimuovere dei punti, sovrascrivere questo attributo con un elenco più breve di punti. Per rimuovere un elemento nella posizione desiderata nell'elenco si può usare metodi come pop(). Ogni punto è definito dal suo FreeCAD.Vector, con le unità in millimetri.

Esempio:

import FreeCAD, Draft

p1 = FreeCAD.Vector(-1000, 400, 0)
p2 = FreeCAD.Vector(1500, -1500, 0)
p3 = FreeCAD.Vector(2200, 1000, 0)

wire = Draft.makeWire([p1, p2, p3])
points = wire.Points
points.pop(1)

wire.Points = points
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Draft AddPoint.svg Aggiungere un punto Pagina precedente:
Pagina successiva: Vista profilo 2D Draft Shape2DView.svg Arrow-right.svg